/*
    Class code Set 04a
    Mouse and Key Input  -  Specific keys are used
    author: Jim Roberts  
               copyright © Jim Roberts
               1.24.13
               Pittsburgh 15221 
               All Rights Reserved
               
     [space bar] erases everything
     key [c] changes size of rectangle
     [press mouse button] changes rectangle fill
   
*/
float wd, ht, x, xIncrement;

void setup()
{
    size( 400, 400 );  // window size
    smooth( );
    background( 0, 0, 255 );
    fill( 0, 223, 124 );
    wd = random( 10, 100 );
    ht = random( 10, 100 );
    x = 0;
    xIncrement = random( 1, 5);

}

void draw( )
{
   rect( mouseX, mouseY, wd, ht);
   line( mouseX, mouseY, x, 0);
   line( mouseX, mouseY, x, height );
   line( mouseX, mouseY, x, 0 );
   line( mouseX, mouseY, x, height );
   x = x + xIncrement;
  
}

void keyPressed( )
{
   
    if ( key == ' ' )  // was the key the space bar?
    {
      background( random( 255), random(255), random(255) );
    }
    if (key == 'r' )  // was the key the 'r' key
    {
        fill( random(255), 0, 0 );
    }
    if (key == 'g' )  // was the key the 'g' key
    {
           fill( 0, random(255), 0 );
    }
    if (key == 'b' )  // was the key the 'b' key
    {
           fill( 0, 0, random(255) );
    }
}

void mousePressed( )
{
    wd = random( 10, 100 );
    ht = random( 10, 100 );
}

void mouseMoved( )
{
    xIncrement = random( 1, 5);
}

